Callisto4Bootloader: PXP_Type Struct Reference

Callisto4Bootloader

Data Fields
PXP_Type Struct Reference
Mapping Information » Edma_request » Iomuxc_pads » Device Peripheral Access Layer » PXP Peripheral Access Layer

`#include <MIMXRT1062.h>`

## Data Fields

__IO uint32_t | CTRL
__IO uint32_t | CTRL_SET
__IO uint32_t | CTRL_CLR
__IO uint32_t | CTRL_TOG
__IO uint32_t | STAT
__IO uint32_t | STAT_SET
__IO uint32_t | STAT_CLR
__IO uint32_t | STAT_TOG
__IO uint32_t | OUT_CTRL
__IO uint32_t | OUT_CTRL_SET
__IO uint32_t | OUT_CTRL_CLR
__IO uint32_t | OUT_CTRL_TOG
__IO uint32_t | OUT_BUF
uint8_t | RESERVED_0 [12]
__IO uint32_t | OUT_BUF2
uint8_t | RESERVED_1 [12]
__IO uint32_t | OUT_PITCH
uint8_t | RESERVED_2 [12]
__IO uint32_t | OUT_LRC
uint8_t | RESERVED_3 [12]
__IO uint32_t | OUT_PS_ULC
uint8_t | RESERVED_4 [12]
__IO uint32_t | OUT_PS_LRC
uint8_t | RESERVED_5 [12]
__IO uint32_t | OUT_AS_ULC
uint8_t | RESERVED_6 [12]
__IO uint32_t | OUT_AS_LRC
uint8_t | RESERVED_7 [12]
__IO uint32_t | PS_CTRL
__IO uint32_t | PS_CTRL_SET
__IO uint32_t | PS_CTRL_CLR
__IO uint32_t | PS_CTRL_TOG
__IO uint32_t | PS_BUF
uint8_t | RESERVED_8 [12]
__IO uint32_t | PS_UBUF
uint8_t | RESERVED_9 [12]
__IO uint32_t | PS_VBUF
uint8_t | RESERVED_10 [12]
__IO uint32_t | PS_PITCH
uint8_t | RESERVED_11 [12]
__IO uint32_t | PS_BACKGROUND
uint8_t | RESERVED_12 [12]
__IO uint32_t | PS_SCALE
uint8_t | RESERVED_13 [12]
__IO uint32_t | PS_OFFSET
uint8_t | RESERVED_14 [12]
__IO uint32_t | PS_CLRKEYLOW
uint8_t | RESERVED_15 [12]
__IO uint32_t | PS_CLRKEYHIGH
uint8_t | RESERVED_16 [12]
__IO uint32_t | AS_CTRL
uint8_t | RESERVED_17 [12]
__IO uint32_t | AS_BUF
uint8_t | RESERVED_18 [12]
__IO uint32_t | AS_PITCH
uint8_t | RESERVED_19 [12]
__IO uint32_t | AS_CLRKEYLOW
uint8_t | RESERVED_20 [12]
__IO uint32_t | AS_CLRKEYHIGH
uint8_t | RESERVED_21 [12]
__IO uint32_t | CSC1_COEF0
uint8_t | RESERVED_22 [12]
__IO uint32_t | CSC1_COEF1
uint8_t | RESERVED_23 [12]
__IO uint32_t | CSC1_COEF2
uint8_t | RESERVED_24 [348]
__IO uint32_t | POWER
uint8_t | RESERVED_25 [220]
__IO uint32_t | NEXT
uint8_t | RESERVED_26 [60]
__IO uint32_t | PORTER_DUFF_CTRL

## Detailed Description

PXP - Register Layout Typedef

Definition at line 34726 of file MIMXRT1062.h.

The documentation for this struct was generated from the following file:

- device/MIMXRT1062.h